Ask Your Question

gitit's profile - activity

2019-08-19 05:49:29 -0600 received badge  Nice Question (source)
2019-08-19 05:49:27 -0600 received badge  Famous Question (source)
2019-05-16 08:25:56 -0600 received badge  Famous Question (source)
2019-05-16 08:25:56 -0600 received badge  Notable Question (source)
2019-03-11 18:29:54 -0600 received badge  Student (source)
2019-03-11 18:23:32 -0600 received badge  Notable Question (source)
2019-01-23 12:11:51 -0600 received badge  Popular Question (source)
2019-01-23 12:11:51 -0600 received badge  Famous Question (source)
2019-01-23 12:11:51 -0600 received badge  Notable Question (source)
2018-05-14 04:35:39 -0600 received badge  Popular Question (source)
2018-04-11 07:50:07 -0600 received badge  Popular Question (source)
2018-01-28 16:40:59 -0600 asked a question DevStack on arm64

Im now trying to install openstack using DevStack on arm64, I'm encountering lots of difficulties...(did not finish yet to solve them all). Is there a way to install openstack on arm64? and when Devstack installation will support arm64? Thank, Gitit

2018-01-28 16:40:59 -0600 commented answer kolla-ansible 6: Does docker Hub contain images for ARM64 (Centos 7)

Thanks for your response. Im now trying to install openstack using DevStack on arm64, I'm encountering lots of difficulties...(did not finish yet to solve them all) Is there a way to install openstack on arm64? and when Devstack installation will support arm64? Thank, Gitit

2018-01-28 02:50:36 -0600 received badge  Popular Question (source)
2018-01-25 06:21:03 -0600 received badge  Scholar (source)
2018-01-23 22:48:41 -0600 asked a question Kolla-build failures on base_arch=aarch64

I'm trying to build container images locally with base architecture aarch64, using kolla-build. This is in order to deploy Openstack on ARM64. Some necessary images are failing with errors, mainly nova-compute and fluentd:

for nova-compute: # kolla-build nova-compute --base centos --base-arch aarch64 --registry localhost:5000 --push

INFO:kolla.image.build.nova-compute:Error: Package: 1:openstack-nova-compute-16.0.3-2.el7.noarch (delorean-pike-testing) INFO:kolla.image.build.nova-compute: Requires: qemu-kvm-rhev >= 2.9.0

Note: when trying to build nova-compute again but adding "--type source" the build succeeded, so just the binary build is problematic for nova-compute.

for fluentd: #kolla-build fluentd --base centos --base-arch aarch64 --registry localhost:5000 --push

INFO:kolla.image.build.fluentd:Error: Package: fluentd-0.12.41-2.el7.noarch (aarch64-opstools) INFO:kolla.image.build.fluentd: Requires: rubygem(http_parser.rb) >= 0.5.1 INFO:kolla.image.build.fluentd:Error: Package: fluentd-0.12.41-2.el7.noarch (aarch64-opstools) INFO:kolla.image.build.fluentd: Requires: rubygem(msgpack) < 2 INFO:kolla.image.build.fluentd:Error: Package: fluentd-0.12.41-2.el7.noarch (aarch64-opstools) INFO:kolla.image.build.fluentd: Requires: rubygem(cool.io) >= 1.2.2 INFO:kolla.image.build.fluentd:Error: Package: fluentd-0.12.41-2.el7.noarch (aarch64-opstools) INFO:kolla.image.build.fluentd: Requires: rubygem(cool.io) < 2.0.0 INFO:kolla.image.build.fluentd: INFO:kolla.image.build.fluentd:Error: Package: fluentd-0.12.41-2.el7.noarch (aarch64-opstools) INFO:kolla.image.build.fluentd: Requires: rubygem(http_parser.rb) < 0.7.0 INFO:kolla.image.build.fluentd:Error: Package: fluentd-0.12.41-2.el7.noarch (aarch64-opstools) INFO:kolla.image.build.fluentd: Requires: rubygem(string-scrub) <= 0.0.5 INFO:kolla.image.build.fluentd:Error: Package: fluentd-0.12.41-2.el7.noarch (aarch64-opstools) INFO:kolla.image.build.fluentd: Requires: rubygem(yajl-ruby) < 2 INFO:kolla.image.build.fluentd:Error: Package: fluentd-0.12.41-2.el7.noarch (aarch64-opstools) INFO:kolla.image.build.fluentd: Requires: rubygem(msgpack) >= 0.5.11 INFO:kolla.image.build.fluentd:Error: Package: fluentd-0.12.41-2.el7.noarch (aarch64-opstools) INFO:kolla.image.build.fluentd: Requires: rubygem(string-scrub) >= 0.0.3 INFO:kolla.image.build.fluentd: INFO:kolla.image.build.fluentd:Error: Package: fluentd-0.12.41-2.el7.noarch (aarch64-opstools) INFO:kolla.image.build.fluentd: Requires: rubygem(yajl-ruby) >= 1.0

Note: here building with type source didn't help...

Any help would be appreciated.

Thanks, Gitit.

2018-01-23 22:48:41 -0600 asked a question kolla-ansible 6: Does docker Hub contain images for ARM64 (Centos 7)

Hi I want to deploy Openstack using the latest kolla (OpenStack pike release) in multinode.

I want the compute node to run on ARM64, which has CentOS 7.4 on it. Does Docker Hub contain images that support ARM64?

Thanks, Gitit

2018-01-23 22:48:40 -0600 asked a question Failed to install openstack Pike using kolla on Centos 7

Hi trying to install all-in-one. get this error:

RUNNING HANDLER [glance : Restart glance-registry container] ***** fatal: [localhost]: FAILED! => {"changed": false, "msg": "Unknown error message: Tag pike not found in repository docker.io/kolla/centos-source-glance-registry"} to retry, use: --limit @/usr/share/kolla-ansible/ansible/site.retry

PLAY RECAP *********************** localhost : ok=98 changed=54 unreachable=0 failed=1